EDIT - bug #8942

Exception when try to get text of TextualTypeDesignation with language which is not available
04/06/2020 12:09 PM - Katja Luther

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.14
Severity: blocker Found in Version:
Description
java.lang.NullPointerException

at eu.etaxonomy.cdm.model.name.TextualTypeDesignation.getText (TextualTypeDesignation. java:188)

at eu.etaxonomy.cdm.model.name.TextualTypeDesignation.getPreferredText (TextualTypeDesignation.
java:219)

at eu.etaxonomy.cdm.io.cdmLight.CdmLightClassificationExport.handleName (CdmLightClassification
Export.java:1145)

at eu.etaxonomy.cdm.io.cdmLight.CdmLightClassificationExport.handleSynonym(CdmLightClassificat
ionExport.java:853)

at eu.etaxonomy.cdm.io.cdmLight.CdmLightClassificationExport.handleTaxon (CdmLightClassificatio
nExport.java:309)

at eu.etaxonomy.cdm.io.cdmLight.CdmLightClassificationExport.handleTaxonNode (CdmLightClassific
ationExport.java:280)

at eu.etaxonomy.cdm.io.cdmLight.CdmLightClassificationExport.doInvoke (CdmLightClassificationEx
port.java:154)

at eu.etaxonomy.cdm.io.cdmLight.CdmLightClassificationExport.doInvoke (CdmLightClassificationEx
port.java:l)

at eu.etaxonomy.cdm.io.common.CdmIoBase.invoke (CdmIoBase.java:107)

at eu.etaxonomy.cdm.io.common.CdmExportBase.invoke (CdmExportBase. java:l)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultExport.doExport (CdmApplicationAwareDef
aultExport. java:230)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultExport.execute (CdmApplicationAwareDefa
ultExport.java:114)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.export (I0ServiceImpl. java:69)

at eu.etaxonomy.cdm.io.service.IOServiceImpl$2.doRun (IOServiceImpl. java:101)

at eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread.run (RemotingProgressMonitorTh
read. java:42)
Associated revisions

Revision a2bd2451 - 04/06/2020 12:14 PM - Katja Luther

fix #8942: fix NPE for not existing language

History

#1 - 04/06/2020 12:14 PM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlibla2bd245128ad90fe14d5790ef26ef031176522a5.

#2 - 04/06/2020 12:15 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

- Severity changed from normal to blocker

please review

#3 - 04/07/2020 05:41 PM - Andreas Miuller

- Status changed from Resolved to Closed
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/a2bd245128ad90fe14d5790ef26ef031176522a5

- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 50 to 100

Correct
